(define-syntax brl
  (syntax-rules (define define-syntax
		  set! set-car! set-cdr!
		  string-fill! string-set!
		  vector-fill! vector-set!)
    ((brl (define expr ...)) (define expr ...))
    ((brl (define-syntax expr ...)) (define-syntax expr ...))
    ((brl (set! expr ...)) (set! expr ...))
    ((brl (set-car! expr ...)) (set-car! expr ...))
    ((brl (set-cdr! expr ...)) (set-cdr! expr ...))
    ((brl (string-fill! expr ...)) (string-fill! expr ...))
    ((brl (string-set! expr ...)) (string-set! expr ...))
    ((brl (vector-fill! expr ...)) (vector-fill! expr ...))
    ((brl (vector-set! expr ...)) (vector-set! expr ...))
    ((brl expr) (display expr))
    ((brl expr1 expr2 ...) (begin
			     (brl expr1)
			     (brl expr2 ...)))))
