package gnu.kawa.brl;
import kawa.lang.*;
import gnu.mapping.*;
             
public class readall extends Procedure1
{
  public final Object apply1 (Object arg1)
  {
    ScmRead reader;

    if (! (arg1 instanceof InPort))
      throw new WrongType (this.name(), 0, "input port");
    ((InPort)arg1).BrlInit();
    try
      {
	ScmRead lexer = new ScmRead((InPort)arg1);
	Object result = lexer.readBrlAll();
	gnu.text.SourceError errors = lexer.getErrors();
	if (errors != null)
	  {
	    lexer.checkErrors(null, 0);
	    throw new GenericError("syntax error in read: "+errors.toString());
	  }
	return result;
      }
    catch (gnu.text.SyntaxException e)
      {
	throw new GenericError ("syntax error in brl-readall: " + e.toString ());
      }
    catch (java.io.IOException e)
      {
	throw new GenericError ("I/O exception in brl-readall: " + e.toString ());
      }
  }
}
